## calculate numerical approximation of integration of beta^2 over [1, 30] for each variable
## gamma is p*df matrix, where "df" is paramter in bs
## return numerical integration (betaScore) for each variable

betaScore <- function(gamma){
  dg <- dim(gamma)[2]
  p <- dim(gamma)[1]
  nTime <- 30
  basis <- bs(seq(1-dg,nTime+dg), df=dg)

  tMax <- 10000
  bs <- rep(0, p)

  for (l in 1:p) {
    value <- gamma[l,]
    nx <- 29/(tMax-1)*(1:tMax-1) + 1
    score <- predict(basis, newx=nx) %*% value

    bs[l] <- mean(score^2)
  }
    
  bs
}
