##################  complete data  ########################
X = NULL
## dim 1-6
for (t in indTime) {
  X[[t]] = matrix(0, n, p+1)
  X[[t]][,1] = runif(n, t/10, 2+t/10)
  for (l in 2:5) {
    X[[t]][,l] = rnorm(n, 0, sqrt((1+X[[t]][,1])/(2+X[[t]][,1])))    
  }
  X[[t]][,6] = rnorm(n, 3*exp(t/30), 1)
}

## dim 7-500 & Z(t)
pCovMat <- matrix(0, nTime, nTime)
for (k in indTime) {
  for (j in k:nTime) {
    pCovMat[k,j] = 4 * exp(-abs(k-j))
    if (k < j) pCovMat[j,k] = pCovMat[k,j]
  }
}
xZ = rmvnorm(n*(p-6+1), rep(0, nTime), pCovMat)
for (t in indTime) {
  X[[t]][,7:(p+1)] = matrix(xZ[,t], nrow=n, ncol=p-6+1)
}

## E(t) and error term
Et = rnorm(n*nTime, 0, 2)
Et = matrix(Et, nrow=n, ncol=nTime)
for (t in indTime) {
  X[[t]][,(p+1)] = X[[t]][,(p+1)] + Et[,t]
}

## Y
Y = matrix(0, nrow=n, ncol=nTime)
for (t in indTime) {
  Y[,t] = X[[t]][,-(p+1)] %*% Beta[,t] + X[[t]][,(p+1)]
}


#########################  observed data  ###########################
## NA indicates missing data
xData = NULL
yData = Y
ni = rep(0, n) # number of observations for each i
nt = rep(0, nTime) # number of observations for each time spot
ind = 1:n
record = matrix(0, nrow=n, ncol=nTime)

for (t in indTime) {
  xData[[t]] = X[[t]][,1:p]
  flag = runif(n)
  flag = as.integer(flag < 0.4)
  record[,t] = flag
  ni = ni + flag
  nt[t] = sum(flag)
  flag = ind * flag
  flag = setdiff(flag, 0)
  xData[[t]][-flag,] = NA
  yData[-flag, t] = NA
}
