library(splines)
library(mvtnorm)
n = 200  ### !!!!! need to be changed
p = 500
nTime = 30
indTime = 1:30
source('trueBeta.r')
load("FullData.RData")
basis <- bs(seq(-4, 35), df=5)
num.trials = length(M1)

tmax = 10000
newT = 29/(tmax-1)*(1:tmax-1)+1
basisPred = predict(basis, newx=newT)

beta.ivis = NULL
beta.oracle = NULL
beta.screen = NULL
for (i in 1:num.trials) {
  beta.ivis[[i]] = gamma.ivis[[i]][1:6,] %*% t(basisPred)
#  beta.oracle[[i]] = gamma.oracle[[i]][,] %*% t(basisPred)
#  beta.screen[[i]] = gamma.screen[[i]][,] %*% t(basisPred)
}

tB = matrix(0, nrow=6, ncol=tmax)
tB[1,] = beta1(newT)
tB[2,] = beta2(newT)
tB[3,] = beta3(newT)
tB[4,] = beta4(newT)
tB[5,] = beta5(newT)
tB[6,] = beta6(newT)

total = rep(0, 6)
f = function(x) sum(abs(x))/tmax*29
total = apply(tB, 1, f)

IMSE = matrix(0, nrow=num.trials, ncol=6)
for (i in 1:num.trials) {
  for (l in 1:6) {
    if (is.element(l, M1[[i]])) {
      IMSE[i, l] = sum((beta.ivis[[i]][l,]-tB[l,])^2)/tmax*29
    } else {
      IMSE[i, l] = NA
    }
  }
}
IMSE = IMSE/total

fMean <- function(x) mean(x, na.rm=T)
fSd <- function(x) sd(x, na.rm=T)
IMSE.mean = apply(IMSE, 2, fMean)
IMSE.std = apply(IMSE, 2, fSd)

save(file="IMSE.RData", IMSE.mean, IMSE.std, IMSE)
