set.seed(100)
indTime = seq(1,30)
nTime = 30
n = 200
p = 500

library(splines)
library(mvtnorm)
library(splus2R)
library(psych)

source('trueBeta.r')
source('betaScore.r')
source('selection.r')
source('gSCAD.r')
source('oracle.r')

num.trials = 10
M1.rd <- NULL
Mscreen.rd <- NULL
Mintersection.rd <- NULL
Munion.rd <- NULL
ite.rd <- rep(0, num.trials)
gammaIVIS.rd <- NULL
gammaOracle.rd <- NULL
gammaSF.rd <- NULL
gammaScreen.rd <- NULL
for (INDEX in 1:num.trials) {
  source('main.r')
  M1.rd[[INDEX]] = M1
  Mscreen.rd[[INDEX]] = M.screen
  gammaScreen.rd[[INDEX]] = gamma.screen
  ite.rd[INDEX] = ite
  gammaIVIS.rd[[INDEX]] = gamma.ivis
  gammaOracle.rd[[INDEX]] = gamma.oracle
  gammaSF.rd[[INDEX]] = gamma.selectFit
  Mintersection.rd[[INDEX]] = Mintersection
  Munion.rd[[INDEX]] = Munion
}

save(file="trial.RData", 
     M1.rd, Mscreen.rd, Mintersection.rd, Munion.rd,
     ite.rd, gammaScreen.rd, gammaIVIS.rd, gammaOracle.rd, gammaSF.rd)
